Bug 1087772 - Review Request: php-horde-kronolith - A web based calendar
Review Request: php-horde-kronolith - A web based calendar
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On: 1087046 1087740
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-15 05:21 EDT by Remi Collet
Modified: 2014-06-11 19:34 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-horde-kronolith-4.1.5-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-19 09:04:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pahan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2014-04-15 05:21:46 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/1f40d0c2204006a8b79afb59e8e12b6bd81effaa/php/horde/php-horde-kronolith/php-horde-kronolith.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-kronolith-4.1.5-1.remi.src.rpm
Description: 
Kronolith is the Horde calendar application. It provides web-based
calendars backed by a SQL database or a Kolab server. Supported features
include Ajax and mobile interfaces, shared calendars, remote calendars,
invitation management (iCalendar/iTip), free/busy management, resource
management, alarms, recurring events, and a sophisticated day/week view
which handles arbitrary numbers of overlapping events.

Fedora Account System Username: remi
Comment 1 Pavel Alexeev 2014-05-16 13:50:41 EDT
Only semi-serious issue found:

[!]: Packages should try to preserve timestamps of original installed files.
Please preserve timestamp on package.xml mangled in %prep.

And we can't continue until php-horde-nag will be imported (bz#1087740).
Comment 2 Pavel Alexeev 2014-05-16 13:51:03 EDT
Formal review:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 224 files have unknown license. Detailed output
     of licensecheck in /home/pasha/SOFT/Review/php-horde-kronolith/1087772
     -php-horde-kronolith/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/horde
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/horde/kronolith/templates/fbview(kronolith),
     /usr/share/horde/kronolith/locale/zh_TW/LC_MESSAGES(kronolith),
     /etc/horde/kronolith(kronolith),
     /usr/share/horde/kronolith/locale/zh_TW(kronolith),
     /usr/share/horde/kronolith/templates(kronolith),
     /usr/share/horde/kronolith/templates/attendees(kronolith),
     /usr/share/horde/kronolith/themes(kronolith),
     /usr/share/horde/kronolith/templates/perms(kronolith),
     /usr/share/horde/kronolith(kronolith),
     /usr/share/horde/kronolith/templates/edit(kronolith),
     /usr/share/horde/kronolith/js(kronolith),
     /usr/share/horde/kronolith/templates/feeds(kronolith),
     /usr/share/horde/kronolith/templates/contacts(kronolith),
     /usr/share/horde/kronolith/templates/month(kronolith),
     /usr/share/horde/kronolith/lib/Storage(kronolith),
     /usr/share/horde/kronolith/templates/prefs(kronolith),
     /usr/share/horde/kronolith/locale/zh_CN/LC_MESSAGES(kronolith),
     /usr/share/horde/kronolith/templates/view(kronolith),
     /usr/share/horde/kronolith/lib(kronolith),
     /usr/share/horde/kronolith/lib/Block(kronolith),
     /usr/share/horde/kronolith/templates/search(kronolith),
     /usr/share/horde/kronolith/templates/day(kronolith),
     /usr/share/horde/kronolith/templates/data(kronolith),
     /usr/share/horde/kronolith/lib/Driver(kronolith),
     /usr/share/horde/kronolith/locale/zh_CN(kronolith),
     /usr/share/horde/kronolith/locale(kronolith),
     /usr/share/horde/kronolith/calendars(kronolith),
     /usr/share/horde/kronolith/feed(kronolith),
     /usr/share/horde/kronolith/templates/week(kronolith),
     /usr/share/horde/kronolith/templates/delete(kronolith)

Conflicts from obsoleted kronolith package which is orphaned for devel.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!x]: Requires correct, justified where necessary.
From optional requires:
 <dependencies>
  <optional>
   <package>
    <name>nag</name>
    <channel>pear.horde.org</channel>
    <min>4.0.0</min>
    <max>5.0.0alpha1</max>
    <exclude>5.0.0alpha1</exclude>
   </package>
   <package>
    <name>timeobjects</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_ActiveSync</name>
    <channel>pear.horde.org</channel>
    <min>2.4.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Db</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Horde_Test</name>
    <channel>pear.horde.org</channel>
    <min>2.0.0</min>
    <max>3.0.0alpha1</max>
    <exclude>3.0.0alpha1</exclude>
   </package>
   <package>
    <name>Date_Holidays</name>
    <channel>pear.php.net</channel>
    <min>0.21.0</min>
   </package>
   <extension>
    <name>xmlwriter</name>
   </extension>
  </optional>
 </dependencies>

Only nag and php-pear(Date_Holidays) required, timeobjects marked as TODO in comment and implicitly required: Horde_Db stated in comment. Consider other on you choose.

[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!x]: Buildroot is not present
     Note: Buildroot: present but not needed

Please cleanup package at least on import time.
[!x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!x]: %check is present and all tests pass.
Not run tests justified in comment. Please include it later.
[!]: Packages should try to preserve timestamps of original installed files.
Please preserve timestamp on package.xml mangled in %prep.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[!x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
Required nag: bz#1087740
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Installation errors
-------------------
INFO: mock.py version 1.1.38 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.38
INFO: Mock Version: 1.1.38
Start: lock buildroot
INFO: installing package(s): /home/pasha/SOFT/Review/php-horde-kronolith/1087772-php-horde-kronolith/results/php-horde-kronolith-4.1.5-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', '--releasever', '21', 'install', '/home/pasha/SOFT/Review/php-horde-kronolith/1087772-php-horde-kronolith/results/php-horde-kronolith-4.1.5-1.fc21.noarch.rpm']
Error: Package: php-horde-kronolith-4.1.5-1.fc21.noarch (/php-horde-kronolith-4.1.5-1.fc21.noarch)
           Requires: php-pear(pear.horde.org/nag) >= 4.0.0
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: php-horde-kronolith-4.1.5-1.fc21.noarch.rpm
          php-horde-kronolith-4.1.5-1.fc21.src.rpm
php-horde-kronolith.noarch: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
php-horde-kronolith.noarch: W: spelling-error %description -l en_US iTip -> i Tip, tip, pipit
php-horde-kronolith.noarch: W: conffile-without-noreplace-flag /etc/horde/kronolith/conf.xml
php-horde-kronolith.noarch: W: conffile-without-noreplace-flag /etc/horde/kronolith/hooks.php.dist
php-horde-kronolith.noarch: W: conffile-without-noreplace-flag /etc/horde/kronolith/menu.php.dist
php-horde-kronolith.noarch: E: non-readable /etc/horde/kronolith/conf.xml 0660L
php-horde-kronolith.noarch: E: non-readable /etc/horde/kronolith/hooks.php.dist 0640L
php-horde-kronolith.noarch: E: non-standard-dir-perm /etc/horde/kronolith 0770L
php-horde-kronolith.noarch: E: zero-length /usr/share/horde/kronolith/resources/groups/index.html
php-horde-kronolith.noarch: E: non-readable /etc/horde/kronolith/menu.php.dist 0640L
php-horde-kronolith.noarch: E: non-readable /etc/horde/kronolith/prefs.php 0660L
php-horde-kronolith.noarch: E: zero-length /usr/share/horde/kronolith/calendars/index.html
php-horde-kronolith.noarch: E: zero-length /usr/share/horde/kronolith/resources/index.html
php-horde-kronolith.noarch: W: no-manual-page-for-binary kronolith-convert-sql-shares-to-sqlng
php-horde-kronolith.noarch: W: no-manual-page-for-binary kronolith-import-squirrelmail-calendar
php-horde-kronolith.noarch: W: no-manual-page-for-binary kronolith-import-icals
php-horde-kronolith.noarch: W: no-manual-page-for-binary kronolith-convert-datatree-shares-to-sql
php-horde-kronolith.noarch: W: no-manual-page-for-binary kronolith-convert-to-utc
php-horde-kronolith.noarch: W: no-manual-page-for-binary kronolith-agenda
php-horde-kronolith.noarch: W: install-file-in-docs /usr/share/doc/pear/kronolith/INSTALL
php-horde-kronolith.src: W: spelling-error %description -l en_US iCalendar -> i Calendar, calendar, legendarily
php-horde-kronolith.src: W: spelling-error %description -l en_US iTip -> i Tip, tip, pipit
2 packages and 0 specfiles checked; 8 errors, 14 warnings.




Requires
--------
php-horde-kronolith (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/pear
    /usr/bin/php
    config(php-horde-kronolith)
    httpd
    mod_php
    php(language)
    php-channel(pear.horde.org)
    php-date
    php-gettext
    php-intl
    php-json
    php-libxml
    php-pcre
    php-pear(Date)
    php-pear(Date_Holidays)
    php-pear(PEAR)
    php-pear(pear.horde.org/Horde_Auth)
    php-pear(pear.horde.org/Horde_Autoloader)
    php-pear(pear.horde.org/Horde_Core)
    php-pear(pear.horde.org/Horde_Data)
    php-pear(pear.horde.org/Horde_Date)
    php-pear(pear.horde.org/Horde_Date_Parser)
    php-pear(pear.horde.org/Horde_Dav)
    php-pear(pear.horde.org/Horde_Exception)
    php-pear(pear.horde.org/Horde_Form)
    php-pear(pear.horde.org/Horde_Group)
    php-pear(pear.horde.org/Horde_History)
    php-pear(pear.horde.org/Horde_Http)
    php-pear(pear.horde.org/Horde_Icalendar)
    php-pear(pear.horde.org/Horde_Image)
    php-pear(pear.horde.org/Horde_Lock)
    php-pear(pear.horde.org/Horde_LoginTasks)
    php-pear(pear.horde.org/Horde_Mail)
    php-pear(pear.horde.org/Horde_Mime)
    php-pear(pear.horde.org/Horde_Nls)
    php-pear(pear.horde.org/Horde_Notification)
    php-pear(pear.horde.org/Horde_Perms)
    php-pear(pear.horde.org/Horde_Role)
    php-pear(pear.horde.org/Horde_Serialize)
    php-pear(pear.horde.org/Horde_Share)
    php-pear(pear.horde.org/Horde_Support)
    php-pear(pear.horde.org/Horde_Text_Filter)
    php-pear(pear.horde.org/Horde_Timezone)
    php-pear(pear.horde.org/Horde_Url)
    php-pear(pear.horde.org/Horde_Util)
    php-pear(pear.horde.org/Horde_View)
    php-pear(pear.horde.org/content)
    php-pear(pear.horde.org/horde)
    php-pear(pear.horde.org/nag)
    php-session
    php-simplexml
    php-spl
    php-xmlwriter



Provides
--------
php-horde-kronolith:
    config(php-horde-kronolith)
    kronolith
    php-horde-kronolith
    php-pear(pear.horde.org/kronolith)



Source checksums
----------------
http://pear.horde.org/get/kronolith-4.1.5.tgz :
  CHECKSUM(SHA256) this package     : 838168df4f7bd1ac5e921e2266e0aa54ee5e8e82d1ce4989323fdaeae32c2ba6
  CHECKSUM(SHA256) upstream package : 838168df4f7bd1ac5e921e2266e0aa54ee5e8e82d1ce4989323fdaeae32c2ba6


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1087772
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Remi Collet 2014-05-16 14:12:55 EDT
For the dependencies, I should have point you to 
https://github.com/remicollet/remirepo/tree/master/php/horde

The "check.php" script compute the dependency chain (checking both spec and package.xml) and generate (most important) the "buildorder" file.
Comment 4 Pavel Alexeev 2014-05-16 15:36:42 EDT
It may be helpful. Anyway all вузы needed, so it should be end sometimes ;)
Comment 6 Pavel Alexeev 2014-05-18 10:00:47 EDT
Package APPROVED.
Comment 7 Remi Collet 2014-05-18 11:42:59 EDT
Thanks again!

New Package SCM Request
=======================
Package Name: php-horde-kronolith
Short Description: A web based calendar
Upstream URL: http://www.horde.org/apps/kronolith
Owners: remi
Branches: f20 el6 epel7
InitialCC:
Comment 8 Gwyn Ciesla 2014-05-19 08:05:24 EDT
Git done (by process-git-requests).
Comment 9 Remi Collet 2014-05-19 09:04:34 EDT
Build done in rawhide/epel7

Will push in stable fc20/epel6 with all the other apps for consistency.
Comment 10 Fedora Update System 2014-05-19 11:13:25 EDT
php-horde-kronolith-4.1.5-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-kronolith-4.1.5-2.fc20
Comment 11 Fedora Update System 2014-05-19 11:16:52 EDT
php-horde-kronolith-4.1.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-kronolith-4.1.5-2.el6
Comment 12 Fedora Update System 2014-06-05 00:21:10 EDT
php-horde-kronolith-4.1.5-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 13 Fedora Update System 2014-06-11 19:34:36 EDT
php-horde-kronolith-4.1.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.